/**************************************************************************
// Luiz Gustavo Martins
// Roberto Speicys Cardoso
// Exerccio-Programa 01
// Curso BCC - Professor: Coelho
/**************************************************************************/

import java.applet.*; 
import java.awt.*; 
import java.awt.event.*;

/*-------------------------------------------------------------------------
	Classe principal do EP01. Chama todas as janelas e as funes de
desenho do software.
-------------------------------------------------------------------------*/
public class Ep01 extends Applet implements ActionListener
{
    Button Soluciona;
    Button Apaga;
    Button Completa;
    Desenho desenho;
    Point teste;
	TextField tfTempo;
	long tempo;

    public void start()
    {
		// Seto o valor inicial do tempo de espera entre o 
		// desenho de uma diagonal e outra
		tempo = 500l;
		tfTempo = new TextField(String.valueOf(tempo));
		
	Panel	Toolbar;
	desenho = new Desenho();
	
	Soluciona = new Button("soluciona");
	Apaga = new Button("apaga");
	Completa = new Button("completa");

	Toolbar = new Panel();
	Toolbar.setLayout(new FlowLayout(FlowLayout.CENTER));
	Toolbar.setBackground(Color.lightGray);
	Toolbar.add(Soluciona);
	Toolbar.add(new Label());
	Toolbar.add(Apaga);
	Toolbar.add(new Label());
	Toolbar.add(Completa);
	Toolbar.add(new Label());
	Toolbar.add(new Label("Delay"));
	Toolbar.add(tfTempo);
	
	this.setLayout(new BorderLayout());
	this.add(Toolbar, "North");
	this.add(desenho, "Center");
    
	Soluciona.addActionListener(this);
	Apaga.addActionListener(this);
	Completa.addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) 
    {
	String botao = e.getActionCommand();
	
	if(botao.compareTo("completa")==0)
	    {
		desenho.completa();
	    }
	
	if(botao.compareTo("apaga")==0)
	    {
		desenho.apaga();
	    }
	
	if(botao.compareTo("soluciona")==0)
	    {
			try
			{
				tempo = Long.parseLong(tfTempo.getText());
			}
			catch(NumberFormatException exc)
			{
				System.out.println("Valor incorreto digitado no campo Delay");
			}
		
			desenho.soluciona(tempo);
	    }
    }
}




