/**
 * Ponto.java
 *
 *
 * Created: Tue Jul  4 22:06:58 2000
 *
 * @author Roberto Speicys Cardoso
 * @author Luiz Gustavo Martins
 * @version
 */

import java.awt.*;

public class Ponto extends Point {
    
    Color c;
	final int raio=14;
    
    public Ponto() 
    {
		super();
		c = Color.black;
    }
	
    public Ponto(Point q) 
    {
		super(q);
		c = Color.black;
    }

    public Ponto(Ponto q) 
    {
		super(q.getPonto());
		c = q.getColor();
    }

    public Ponto(int x, int y) 
    {
		super(x, y);
		c = Color.black;
    }
    
    public void setColor(Color d)
    { c = new Color(d.getRed(), d.getGreen(), d.getBlue()); }

    public Color getColor()
    { return(c); }

    public Ponto getPonto()
    {
		return(this);
    }

    public int getX()
    { return(x); }

    public int getY()
    { return(y); }

	public void desenha(Graphics g)
	{
		Color old = g.getColor();
		g.setColor(c);
		g.fillOval((x-(raio/2)), (y-(raio/2)), raio, raio);
		g.setColor(old);
	}

} // Ponto
